# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'helix_web_services/version'

Gem::Specification.new do |spec|
  spec.name          = 'helix_web_services'
  spec.version       = HelixWebServices::VERSION
  spec.authors       = ['Tristan Juricek']
  spec.email         = ['tjuricek@perforce.com']

  spec.summary       = %q{A collection of HTTP Web APIs for various internal services.}
  spec.description   = %q{Creates a single web application that handles a variety of service concerns.}
  spec.homepage      = 'https://swarm.workshop.perforce.com/projects/perforce-software-helix-web-services/'

  spec.files         = Dir['lib/**/*'] +
    Dir['bin/**/*'] +
    %w(
      Gemfile
      helix_web_services.gemspec
      Rakefile
      README.md
    )
  spec.bindir        = 'bin'
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'faker', '~> 1.4'
  spec.add_development_dependency 'rack-test', '~> 0.6'

  spec.add_runtime_dependency 'helix_web_services_client', '~> 2015.1.0.pre'
  spec.add_runtime_dependency 'ohai', '~> 8.5'
  spec.add_runtime_dependency 'p4ruby', '~> 2015.1'
  spec.add_runtime_dependency 'rack', '~> 1.6'
  spec.add_runtime_dependency 'rack-parser', '~> 0.6'
  spec.add_runtime_dependency 'sinatra', '~> 1.4'
  spec.add_runtime_dependency 'sinatra-contrib', '~> 1.4'
end
