require 'sinatra/base'

module GitFusion
  class App < Sinatra::Base

    get '/git_fusion/v1/repos' do
      require_p4
      p4 = env['p4']
      hws_settings = env['hws_settings']

      results = p4.run_files('-e', "//#{hws_settings.GIT_FUSION_DEPOT}/repos/*/p4gf_config")

      repo_names = results.map do |result|
        m = %r{^//#{hws_settings.GIT_FUSION_DEPOT}/repos/(.*)/p4gf_config}.match(result['depotFile'])
        m[1] if m
      end

      repo_names.to_json
    end

    post '/git_fusion/v1/repos' do
      halt 501
    end

    # It appears that the git fusion repository name can be a path, e.g.,
    # `this_team/sub_project`.

    get '/git_fusion/v1/repos/*' do
      {}.to_json
    end

    put '/git_fusion/v1/repos/*' do
      halt 501
    end

    patch '/git_fusion/v1/repos/*' do
      halt 501
    end

    delete '/git_fusion/v1/repos/*' do
      halt 501
    end
  end
end