require 'helix_versioning_engine/hve_projects_service'
require 'helix_versioning_engine/submit_service'

HelixSync::ChangeService.fetch_latest_change << lambda do |project, env|
  if env['hws_settings'].HVE_PROJECTS_PATH
    service = HelixVersioningEngine::HVEProjectsService.new(env:env)
    service.find_latest_change_for_project(project)
  end
end

HelixSync::ChangeService.fetch_pending_change << lambda do |project, env|
  if env['hws_settings'].HVE_PROJECTS_PATH
    service = HelixVersioningEngine::HVEProjectsService.new(env:env)
    service.find_pending_change_for_project(project)
  end
end

HelixSync::ChangeService.create_pending_change << lambda do |project, env|
  if env['hws_settings'].HVE_PROJECTS_PATH
    service = HelixVersioningEngine::HVEProjectsService.new(env:env)
    service.create_pending_change(project)
  end
end

HelixSync::ChangeService.submit_pending_change << lambda do |project, env|
  if env['hws_settings'].HVE_PROJECTS_PATH
    # If anything more significant other than "run submit -e" is needed,
    # we probably want to move this logic into another method of the
    # HVEProjectsService
    hve_service = HelixVersioningEngine::HVEProjectsService.new(env:env)
    change = hve_service.find_pending_change_for_project(project)

    return false unless change

    submit_service = HelixVersioningEngine::SubmitService.new(p4: env['p4'], env: env)
    submit_service.submit_shelf(change)
    return true
  end
end