require_relative './test_config'

class TestApp < Sinatra::Base

  get '/test/system_error' do
    fail P4Error.new(1234, P4::E_FATAL, 'severe problem')
  end

  get '/test/user_error' do
    fail P4Error.new(1234, P4::E_FAILED, 'test error')
  end
end

describe 'HelixWebServices' do
  include Rack::Test::Methods

  def app
    HelixWebServices::Master.register_app(TestApp)
    HelixWebServices::Master
  end

  it 'should return a 500 status with a system error' do
    authorize 'jdoe', ticket_for_jdoe
    get '/test/system_error'
    expect(last_response.status).to eq(500)
  end

  it 'should return a 400 status with a user error' do
    authorize 'jdoe', ticket_for_jdoe
    get '/test/user_error'
    expect(last_response.status).to eq(400)
  end
end