class HelixWebServicesClient
  # Generates a host unlocked ticket for the user.
  #
  # In some installations, such as Helix Cloud, the authentication source is
  # not the p4d instance used for connections. This allows you to generate
  # p4 ticket which should then be passed along as the P4PASSWD per-request
  # header.
  #
  # @param user [String]
  # @param password [String]
  def login(user, password)
    obj = execute_method_with_body(:post, hve_path('login'), nil,
                                   {user: user, password: password})
    obj['ticket']
  end
end
