require 'helix_web_services_client/open_model'

class HelixWebServicesClient
  # Fetch all protections in the system. Returns a single Protections
  # instance.
  def protections
    obj = execute_method_no_body(:get, hve_path('protections'))
    OpenModel.new(obj)
  end

  # Updates the protections table based on the Protections instance passed in
  #
  # @param protections [Hash|OpenModel] A hash with a `protections` property
  #        that is an Array of protections entries
  def update_protections(protections)
    protections = OpenModel.new(protections) unless protections.is_a?(OpenModel)
    execute_method_with_body(:put, hve_path('protections'),
                             protections.marshal_dump)
  end
end
