require 'helix_web_services_client/open_model'

class HelixWebServicesClient
  # Fetch the list of trigger lines in the system.
  #
  # @return [OpenModel] A hash with a `Triggers` property that is an array of
  #                      lines in the triggers table.
  def triggers
    obj = execute_method_no_body(:get, hve_path('triggers'))
    OpenModel.new(obj)
  end

  # Update the triggers table using the Triggers model instance
  #
  # @param triggers [Hash|OpenModel] A hash with a `Triggers` property
  def update_triggers(triggers)
    triggers = OpenModel.new(triggers) unless triggers.is_a?(OpenModel)
    execute_method_with_body(:put, hve_path('triggers'), triggers.marshal_dump)
  end
end
