#
# Copyright 2015 YOUR NAME
#
# All Rights Reserved.
#


# On Ubuntu systems, we want the ~trusty or ~precise tag at the end of the
# version, to allow both .deb files to be included in a single package
# directory. I am unaware of how to reliably generate this... other than Ohai.
def create_build_iteration
  base = '1'

  require 'ohai'
  s = Ohai::System.new
  s.all_plugins
  if s['lsb'] and s['lsb']['codename']
    "#{base}~#{s['lsb']['codename']}"
  else
    base
  end
end

name 'helix-web-services'
maintainer 'Perforce Software, Inc. <support+packaging@perforce.com>'
homepage 'https://swarm.workshop.perforce.com/projects/perforce-software-helix-web-services/'

# Defaults to C:/perforce/helix-web-services on Windows
# and /opt/perforce/helix-web-services on all other platforms
install_dir "#{default_root}/perforce/#{name}"

build_version '2015.1'
build_iteration create_build_iteration

override :ruby, version: '2.2.2',  source: { md5: "326e99ddc75381c7b50c85f7089f3260" }

override :ncurses, version: '5.9', source: { md5: "8cb9c412e5f2d96bc6f459aa8c6282a1", url: "http://ftp.gnu.org/gnu/ncurses/ncurses-5.9.tar.gz" }

override :rubygems, version: '2.4.5'

# If this isn't specified, you get a *very old* version.
override :bundler, version: '1.8.9'

# Creates required build directories
dependency 'preparation'

# helix-web-services dependencies/components
dependency 'cacerts'
dependency 'ruby'
dependency 'rubygems'
dependency 'bundler'
dependency 'helix_web_services'

# Version manifest file
dependency 'version-manifest'

exclude '**/.git'
exclude '**/bundler/git'

# Configure the license fields for different package types.
package :deb do
  license 'BSD (2-clause)'
end

package :rpm do
  license 'BSD (2-clause)'
end
