# Software distribution of helix-web-services
#
# This will package up the 'helix_web_services' project directory, along with
# all of it's local dependencies.
#
name 'helix_web_services'

dependency 'ruby'
dependency 'bundler'
dependency 'helix_web_services_client'
dependency 'sqlite'

#
# This Omnibus definition expects to be a part of a distribution that includes
# Helix Web Services locally.
#
source :path => File.absolute_path('../../../../../helix_web_services', __FILE__)

build do
  env = with_standard_compiler_flags(with_embedded_path)

  # Typical conventions of bundle groups. We may not need these but TestKitchen
  # might end up getting used.
  bundle_without = %w(development test)

  # Install all dependencies. Note that this project actually includes the
  # helix_web_services_client code 'locally' in the Gemfile.
  # bundle "install --without #{bundle_without.join(" ")} --path=#{install_dir}/embedded/service/gem --jobs #{workers}", :env => env
  bundle 'install', :env => env

  rake 'build', :env => env

  gem "install #{project_dir}/pkg/helix_web_services-*.gem --no-rdoc --no-ri", :env => env

  erb :dest => "#{install_dir}/bin/hws_configure",
      :source => 'hws_configure.erb',
      :mode => 0755,
      :vars => { :install_dir => install_dir }

  erb :dest => "#{install_dir}/bin/hws_console",
      :source => 'hws_console.erb',
      :mode => 0755,
      :vars => { :install_dir => install_dir }

  erb :dest => "#{install_dir}/bin/helix_web_services",
      :source => 'helix_web_services.erb',
      :mode => 0755,
      :vars => { :install_dir => install_dir }

  erb :dest => "#{install_dir}/bin/make-dummy-cert",
      :source => 'make-dummy-cert.erb',
      :mode => 0755,
      :vars => { :install_dir => install_dir }

  mkdir "#{install_dir}/etc/init"

  erb :dest => "#{install_dir}/etc/init/helix_web_services.conf",
      :source => 'helix_web_services.conf.erb',
      :mode => 0644,
      :vars => { :install_dir => install_dir }

  sync project_dir, "#{install_dir}/embedded/service/helix_web_services", exclude: ["work", ".idea", ".bundle"]
end
